.TH HG RESOLVE  "" "" ""
.SH NAME
hg resolve \- redo merges or set/view the merge status of files
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg resolve [OPTION]... [FILE]...
.ft P
.fi
.SH DESCRIPTION
.sp
Merges with unresolved conflicts are often the result of
non\-interactive merging using the \fBinternal:merge\fP configuration
setting, or a command\-line merge tool like \fBdiff3\fP. The resolve
command is used to manage the files involved in a merge, after
\%\fBhg merge\fP\: has been run, and before \%\fBhg commit\fP\: is run (i.e. the
working directory must have two parents). See \%\fBhg help
merge\-tools\fP\: for information on configuring merge tools.
.sp
The resolve command can be used in the following ways:
.INDENT 0.0
.IP \(bu 2
.
\%\fBhg resolve [\-\-re\-merge] [\-\-tool TOOL] FILE...\fP\:: attempt to re\-merge
the specified files, discarding any previous merge attempts. Re\-merging
is not performed for files already marked as resolved. Use \fB\-\-all/\-a\fP
to select all unresolved files. \fB\-\-tool\fP can be used to specify
the merge tool used for the given files. It overrides the HGMERGE
environment variable and your configuration files.  Previous file
contents are saved with a \fB.orig\fP suffix.
.IP \(bu 2
.
\%\fBhg resolve \-m [FILE]\fP\:: mark a file as having been resolved
(e.g. after having manually fixed\-up the files). The default is
to mark all unresolved files.
.IP \(bu 2
.
\%\fBhg resolve \-u [FILE]...\fP\:: mark a file as unresolved. The
default is to mark all resolved files.
.IP \(bu 2
.
\%\fBhg resolve \-l\fP\:: list files which had or still have conflicts.
In the printed list, \fBU\fP = unresolved and \fBR\fP = resolved.
You can use \fBset:unresolved()\fP or \fBset:resolved()\fP to filter
the list. See \%\fBhg help filesets\fP\: for details.
.UNINDENT
.IP Note
.
Mercurial will not let you commit files with unresolved merge
conflicts. You must use \%\fBhg resolve \-m ...\fP\: before you can
commit after a conflicting merge.
.RE
.sp
Template:
.sp
The following keywords are supported in addition to the common template
keywords and functions. See also \%\fBhg help templates\fP\:.
.INDENT 0.0
.TP
.B mergestatus
.
String. Character denoting merge conflicts, \fBU\fP or \fBR\fP.
.TP
.B path
.
String. Repository\-absolute path of the file.
.UNINDENT
.sp
Returns 0 on success, 1 if any files fail a resolve attempt.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-a,  \-\-all
.
select all unresolved files
.TP
.B \-l,  \-\-list
.
list state of files needing merge
.TP
.B \-m,  \-\-mark
.
mark files as resolved
.TP
.B \-u,  \-\-unmark
.
mark files as unresolved
.TP
.B \-n,  \-\-no\-status
.
hide status prefix
.TP
.B \-\-re\-merge
.
re\-merge files
.TP
.BI \-t,  \-\-tool \ <TOOL>
.
specify merge tool
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.TP
.BI \-T,  \-\-template \ <TEMPLATE>
.
display with template
.UNINDENT
.sp
[+] marked option can be specified multiple times
.\" Generated by docutils manpage writer.
.\" 
.
